Bug 582686 - Review Request: jcharts - A java based charts library
Summary: Review Request: jcharts - A java based charts library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-15 15:01 UTC by Markus Mayer
Modified: 2010-05-20 18:44 UTC (History)
4 users (show)

Fixed In Version: jcharts-0.7.5-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 18:40:57 UTC
akurtako: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Markus Mayer 2010-04-15 15:01:14 UTC
Spec URL: http://www.dpsg-prutting.de/jcharts.spec
SRPM URL: http://www.dpsg-prutting.de/jcharts-0.7.5-1.src.rpm
Description: jCharts is a 100% Java based charting utility that outputs a variety 
of charts. This package has been designed from the ground up by 
volunteers for displaying charts via Servlets, JSP's, and Swing app

Comment 1 Markus Mayer 2010-04-15 15:01:51 UTC
This is my first packages so I need a sponsor

Comment 2 Markus Mayer 2010-04-15 15:15:03 UTC
I am not sure what license I should use. The license is:

Copyright 2002 (C) Nathaniel G. Auvil. All Rights Reserved.

Redistribution and use of this software and associated documentation ("Software"), with or
without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain copyright statements and notices.
Redistributions must also contain a copy of this document.

2. Redistributions in binary form must reproduce the above copyright notice, this list of
conditions and the following disclaimer in the documentation and/or other materials
provided with the distribution.

3. The name "jCharts" or "Nathaniel G. Auvil" must not be used to endorse or promote
products derived from this Software without prior written permission of Nathaniel G.
Auvil.  For written permission, please contact nathaniel_auvil@users.sourceforge.net

4. Products derived from this Software may not be called "jCharts" nor may "jCharts" appear
in their names without prior written permission of Nathaniel G. Auvil. jCharts is a
registered trademark of Nathaniel G. Auvil.

5. Due credit should be given to the jCharts Project (http://jcharts.krysalis.org).

THIS SOFTWARE IS PROVIDED BY Nathaniel G. Auvil AND CONTRIBUTORS ``AS IS'' AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
jCharts OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE

Comment 3 Alexander Kurtakov 2010-04-19 12:47:15 UTC
Standard way is to ask Legal by blocking FE-Legal bug. I'm doing it for you.

Comment 4 Tom "spot" Callaway 2010-04-19 17:09:41 UTC
This is a BSD Variant, please use: License: BSD

Lifting FE-Legal.

Comment 5 Markus Mayer 2010-04-20 19:45:05 UTC
Updated version with correct license.

Spec URL: http://www.dpsg-prutting.de/jcharts.spec
SRPM URL: http://www.dpsg-prutting.de/jcharts-0.7.5-2.src.rpm

Comment 6 Alexander Kurtakov 2010-04-28 14:20:18 UTC
I'm taking this one.

Comment 7 Alexander Kurtakov 2010-05-10 13:48:29 UTC
Initial comments:
* Please do not BR/R java-1.6.0-openjdk[-devel] - This should be java[-devel] >= 1:1.6.0
* Please do not use servlet api from tomcat5-servlet-2.4-api but the new one from tomcat6. You can BR: servlet25 and use servletapi5.jar 
Btw, are you sure that servlet api should not be required too?
I'm requesting use of tomcat6 in order to not make a new package depends on an old one when there is newer and perfectly compatible alternative. 

Review will follow after this get fixed.

Comment 8 Markus Mayer 2010-05-11 20:55:12 UTC
Updated version:

Spec URL: http://www.dpsg-prutting.de/jcharts.spec
SRPM URL: http://www.dpsg-prutting.de/jcharts-0.7.5-3.fc13.src.rpm

Comment 9 Alexander Kurtakov 2010-05-14 13:40:10 UTC
Review:

FIXIT: rpmlint must be run on every package. The output should be posted in the
review.Output:
jcharts.noarch: W: incoherent-version-in-changelog 0.7.5-2 ['0.7.5-3.fc13', '0.7.5-3']

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source,
as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's
%files listings.
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Separate javadoc
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

2 problems:
* incoherent-version-in-changelog
* javadoc package is missing Requires: jpackage-utils but it installs files in /usr/share/javadoc which is owned by jpackage-utils

Comment 10 Markus Mayer 2010-05-14 14:41:48 UTC
Updated version:

Spec URL: http://www.dpsg-prutting.de/jcharts.spec
SRPM URL: http://www.dpsg-prutting.de/jcharts-0.7.5-4.fc12.src.rpm

@Alex: Thank you for reviewing

Comment 11 Alexander Kurtakov 2010-05-14 15:39:14 UTC
Thanks,

This package is APPROVED.

Comment 12 Alexander Kurtakov 2010-05-14 15:43:37 UTC
Lifting FE-NEEDSPONSOR

Comment 13 Markus Mayer 2010-05-14 19:17:24 UTC
New Package CVS Request
=======================
Package Name: jcharts
Short Description: A java based charts library
Owners: lotharlutz
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:

Comment 14 Jason Tibbitts 2010-05-14 19:23:53 UTC
Are you sure you do not wish to have an EL-6 branch for this package?  Perhaps it's already included in RHEL-6?

Comment 15 Markus Mayer 2010-05-14 20:00:40 UTC
Well. I did not know that EL-6 is available, because on https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure it says "Valid branch names currently used for Fedora: F-11 F-12 F-13 EL-4 EL-5 OLPC-2 OLPC-3"

Comment 16 Markus Mayer 2010-05-14 20:01:31 UTC
New Package CVS Request
=======================
Package Name: jcharts
Short Description: A java based charts library
Owners: lotharlutz
Branches: F-11 F-12 F-13 EL-4 EL-5 EL-6
InitialCC:

Comment 17 Dennis Gilmore 2010-05-18 18:35:52 UTC
CVS Done

note that the only java on EL-4 is gcj

Comment 18 Fedora Update System 2010-05-19 08:19:43 UTC
jcharts-0.7.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc12

Comment 19 Fedora Update System 2010-05-19 08:19:50 UTC
jcharts-0.7.5-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc13

Comment 20 Fedora Update System 2010-05-19 08:19:55 UTC
jcharts-0.7.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc11

Comment 21 Fedora Update System 2010-05-19 19:13:24 UTC
jcharts-0.7.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jcharts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc13

Comment 22 Fedora Update System 2010-05-19 19:14:02 UTC
jcharts-0.7.5-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jcharts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc12

Comment 23 Fedora Update System 2010-05-19 19:18:59 UTC
jcharts-0.7.5-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jcharts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jcharts-0.7.5-4.fc11

Comment 24 Fedora Update System 2010-05-20 18:40:52 UTC
jcharts-0.7.5-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-05-20 18:44:04 UTC
jcharts-0.7.5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-05-20 18:44:38 UTC
jcharts-0.7.5-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.